Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/memory_stores/{memory_store_id}/memories
指定された Memory Store 配下のすべてのメモリエントリ一覧を取得します。ページネーションをサポートします。
パスパラメータ
| パラメータ | 型 | 必須 | 説明 |
|---|
memory_store_id | string | はい | Memory Store ID(memstore_ プレフィックス) |
ヘッダー
| ヘッダー | 値 | 必須 |
|---|
| Authorization | Bearer $QODER_PAT | はい |
クエリパラメータ
| パラメータ | 型 | 必須 | 説明 |
|---|
limit | integer | いいえ | 1 ページあたりの返却件数上限 |
after_id | string | いいえ | カーソルページネーション:この ID 以降のレコードを返す |
リクエスト例
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores/memstore_xxx/memories" \
-H "Authorization: Bearer $QODER_PAT"
# ページネーション
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores/memstore_xxx/memories?limit=20&after_id=mem_xxx" \
-H "Authorization: Bearer $QODER_PAT"
レスポンス例
HTTP 200 OK
ページネーション一覧オブジェクトを返します。
{
"data": [
{
"id": "mem_019e3bb965a671fca51bde1cf8d87de0",
"type": "memory",
"store_id": "memstore_019e3bb93b7074f9a5130d39ddcca90f",
"path": "test/note.md",
"size": 11,
"content_sha256": "64ec88ca00b268e5ba1a35678a1b5316d212f4f366b2477232534a8aeca37f3c",
"version": 1,
"metadata": {},
"created_at": "2026-05-18T15:34:26.494349Z",
"updated_at": "2026-05-18T15:34:26.494349Z"
}
],
"first_id": "mem_019e3bb965a671fca51bde1cf8d87de0",
"last_id": "mem_019e3bb965a671fca51bde1cf8d87de0",
"has_more": false
}
レスポンスフィールド
| フィールド | 型 | 説明 |
|---|
data | array | MemoryEntry オブジェクト配列(content を含まない) |
first_id | string | 現在ページ先頭レコード ID |
last_id | string | 現在ページ末尾レコード ID |
has_more | boolean | さらにデータがあるかどうか |
一覧内の各レコードフィールド
| フィールド | 型 | 説明 |
|---|
id | string | 一意識別子 |
type | string | 固定値 "memory" |
store_id | string | 所属する Store ID |
path | string | 相対パス |
size | int64 | 内容サイズ(バイト) |
content_sha256 | string | 内容の SHA-256 ハッシュ |
version | int64 | 現在のバージョン番号 |
metadata | object | カスタムメタデータ |
created_at | string | 作成時刻 |
updated_at | string | 最終更新時刻 |
エラーレスポンス
| HTTP | type | 説明 |
|---|
| 401 | TOKEN_INVALID | 認証トークンが提供されていないまたは無効 |
| 404 | not_found_error | 指定の Memory Store が存在しない |
注意事項
- 一覧 API は
content フィールドを返しません。メタデータのみを返します
- 内容を取得するには「メモリエントリの取得」 API を使用してください
- ページネーションロジックは他の一覧 API と同じです:
limit + after_id を使用します